clear

**********************************************************************
* RUN Do-File 'Data Reading' 		                                 *
**********************************************************************
quietly do "do_files\Data Reading.do"


**********************************************************************
* RUN Do- File 'variables_analyses_final_outcomes'					 *
**********************************************************************
quietly do "do_files\variables_analyses_final_outcomes.do"


********************************************************************************
*	Analysis of experimental results of treatments 1 & 2					   *
********************************************************************************

*	MEAN OUTCOME

sum final_x final_y if treatment==1
*	x= 50.33	y=68.28

sum final_x final_y if treatment==2
*	x= 58.74	y=64.52


********************************************************************************

*	HOW MANY TIMES DID THE COMMITTEES SELECT THE CORE-ALTERNATIVE?

*	Exactly the core
count if dist_core==0 & type==1 & treatment==1
*	51 of 240 (21.25%)

* Results "close to the core": 10 units around the core
count if dist_core<=10 & type==1 & treatment==1
* 	132 of 240 (55.00%)

* Results "close to the core": 20 units around the core
count if dist_core<=20 & type==1 & treatment==1
* 	175 of 240 (72.92%)


********************************************************************************

*  DO COMMITTEES LEAVE THE CORE In TREATMENT 1?

* How many times did committees select the core in Treatment 1?
count if type==1 & treatment==1 & final_x==opt_x1 & final_y==opt_y1
* 51 times

* How often did they stick to the core?
count if type==1 & treatment==1 & (final_x==opt_x1 | final_y==opt_y1) & sq_x==opt_x1 & sq_y==opt_y1
* 48 times

* How often did they leave the core?
count if type==1 & treatment==1 & (final_x!=opt_x1 | final_y!=opt_y1) & sq_x==opt_x1 & sq_y==opt_y1
* 1 time

sort treatment groupid period
list groupid period if type==1 & treatment==1 & final_x==opt_x1 & final_y==opt_y1



* DO COMMITTEES LEAVE PLAYER A's IDEAL POINT IN TREATMENT 2?

* How many times did committees select Player A's ideal-point in Treatment 2?
count if type==1 & treatment==2 & final_x==opt_x1 & final_y==opt_y1
* 13 times

* How often did they stick to Player A's ideal-point?
count if type==1 & treatment==2 & (final_x==opt_x1 | final_y==opt_y1) & sq_x==opt_x1 & sq_y==opt_y1
* 5 times

* How often did they leave Player A's ideal-point?
count if type==1 & treatment==2 & (final_x!=opt_x1 | final_y!=opt_y1) & sq_x==opt_x1 & sq_y==opt_y1
* 5 time

sort treatment groupid period
list groupid period if type==1 & treatment==2 & final_x==opt_x1 & final_y==opt_y1


********************************************************************************

* How often proposes Player A her ideal point as agenda setter?

count if type==1 & treatment==1 & agendasetter==1
count if type==1 & treatment==1 & agendasetter==1 & prop_x==opt_x1 & prop_y==opt_y1
*6/43 times

count if type==1 & treatment==2 & agendasetter==1
count if type==1 & treatment==2 & agendasetter==1 & prop_x==opt_x1 & prop_y==opt_y1
* 8/49 times

*********************************************************************************

*	DOES MEAN OUTCOME DIFFER FROM THE CORE?
*	Coordinates of core: x=39	y=68

signrank m20_fin_x = core_x if treatment==1 & type==1 & period==1
*	Ho: m20_fin_x = core_x; z =   2.589; Prob > |z| =   0.0096
signrank m20_fin_y = core_y if treatment==1 & type==1 & period==1
*	Ho: m20_fin_y = core_y; z =   0.314; Prob > |z| =   0.7537

*ANSWER: Significant difference on the x-coordinate, no difference on the y-coordinate



********************************************************************************
********************************************************************************

*	DOES BEHAVIOR CHANGE OVER TIME?
*	Split 20 periods in two halfs


*	MEAN OUTCOME
sum final_x final_y if treatment==1 & period<=10
*	x= 47.07	y=67.70
sum final_x final_y if treatment==1 & period>10
*	x= 53.60	y=68.87

sum final_x final_y if treatment==2 & period<=10
*	x= 56.53	y=65.82
sum final_x final_y if treatment==2 & period>10
*	x= 60.97	y=63.23


********************************************************************************

*	HOW MANY TIMES DID THE COMMITTEES SELECT THE CORE-ALTERNATIVE?

*	Exactly the core
count if dist_core==0 & type==1 & treatment==1 & period<=10
*	15 of 120 (12.50%)
count if dist_core==0 & type==1 & treatment==1 & period>10
*	36 of 120 (30.00%)

* Results "close to the core": 10 units around the core
count if dist_core<=10 & type==1 & treatment==1 & period<=10
* 	67 of 120 (55.83%)
count if dist_core<=10 & type==1 & treatment==1 & period>10
* 	65 of 120 (54.17%)

* Results "close to the core": 20 units around the core
count if dist_core<=20 & type==1 & treatment==1 & period<=10
* 	92 of 120 (76.67%)
count if dist_core<=20 & type==1 & treatment==1 & period>10
* 	83 of 120 (69.17%)


********************************************************************************

*	DOES MEAN OUTCOME DIFFER FROM THE CORE?
*	Coordinates of core: x=39	y=68

signrank m10_fin_x = core_x if treatment==1 & type==1 & period==1
*	Ho: m10_fin_x = core_x; z =   2.118; Prob > |z| =   0.0342

signrank m10_fin_y = core_y if treatment==1 & type==1 & period==1
*	Ho: m10_fin_y = core_y; z =   0.196; Prob > |z| =   0.8445


signrank m10_fin_x = core_x if treatment==1 & type==1 & period==11
*	Ho: m10_fin_x = core_x; z =   2.855; Prob > |z| =   0.0043

signrank m10_fin_y = core_y if treatment==1 & type==1 & period==11
*	Ho: m10_fin_y = core_y; z =    0.793; Prob > |z| =   0.4277

*	Significant differences on the x-axis, no differences on the y-axis


********************************************************************************

*	DOES THE MEAN OUTCOME IN FIRST HALF DIFFER FROM MEAN OUTCOME IN SECOND HALF?

by groupid, sort: egen m10_2_fin_x = mean(final_x) if per10==2
by groupid, sort: egen m10_2_fin_y = mean(final_y) if per10==2
gsort +subjectid -period
replace m10_2_fin_x = m10_2_fin_x[_n-1] if m10_2_fin_x >= . 
replace m10_2_fin_y = m10_2_fin_y[_n-1] if m10_2_fin_y >= . 


signrank m10_fin_x = m10_2_fin_x if type==1 & period==1 & treatment==1
*	Ho: m10_fin_x = m10_2_fin_x; z =  -1.766; Prob > |z| =   0.0774
*	Weakly significant shift along the x-axis
*	NO CONVERGENCE TO THE CORE - DIVERGENCE!!!

signrank m10_fin_y = m10_2_fin_y if type==1 & period==1 & treatment==1
*	Ho: m10_fin_y = m10_2_fin_y; z =  -0.235; Prob > |z| =   0.8139

signrank m10_fin_x = m10_2_fin_x if type==1 & period==1 & treatment==2
*	Ho: m10_fin_x = m10_2_fin_x; z =  -2.040; Prob > |z| =   0.0414
*	Significant shift along the x-axis

signrank m10_fin_y = m10_2_fin_y if type==1 & period==1 & treatment==2
*	Ho: m10_fin_y = m10_2_fin_y; z =   1.177; Prob > |z| =   0.2393

drop m10_2_fin_x m10_2_fin_y
gsort +subjectid +period


********************************************************************************

*	VARIATION OF DECISIONS
*	Period one is excluded in all analyses because the status quo in period 1 is
*	point 190|140 at the top right margin of the policy space. A large shift from
*	the status quo to the final result in period 1 is therefore trivial and would
* 	bias the analysis.



sum dist_res_sq if treatment==1 & type==1 & period!=1, detail
*	Average distance between status quo and final result: 18.89 points
* 	Standard deviation: 31.56

sum dist_res_sq if treatment==2 & type==1 & period!=1, detail
*	Average distance between status quo and final result: 19.27 points
*	Standard deviation: 26.96

*	Does the average distance between status quo and final result differ between
*	treatments?

ranksum dist_res_sq_20_mean if period==1 & type==1 & (treatment==1 | treatment==2), by(treatment)
*	z =  -0.289; Prob > |z| =   0.7728
*	ANSWER: NO!


*	DOES BEHAVIOR CHANGE DURING EXPERIMENT?

sum dist_res_sq_10_mean if treatment==1 & type==1 & period==1
*	Average distance between status quo and final result: 17.81 points
sum dist_res_sq_10_mean if treatment==1 & type==1 & period==11
*	Average distance between status quo and final result: 19.87 points

sum dist_res_sq_10_mean if treatment==2 & type==1 & period==1
*	Average distance between status quo and final result: 19.75 points
sum dist_res_sq_10_mean if treatment==2 & type==1 & period==11
*	Average distance between status quo and final result: 18.83 points

* ANSWER: Not much!

********************************************************************************

* DO COMMITTEES IN TREATMENT NEED MORE TIME TO COME TO A DECISION?

sum time_in_stage1 if treatment==1

sum time_in_stage1 if treatment==2



********************************************************************************

* Non-egoistic behavior of committee members

* Agenda setter proposes point offering her less tokens than the current status quo.
count if ag_altru1==1 & type==1 & treatment==1
* 18
sum loss_ag_altru1 if type==1 & treatment==1 & ag_altru1==1
* Points sacrificed: 312

count if ag_altru1==1 & type==1 & treatment==2
* 20
sum loss_ag_altru1 if type==1 & treatment==2 & ag_altru1==1
* Points sacrificed: 352

/* Before submitting her decision in a period, the agenda setter has clicked on points 
in the policy space which offer her more tokens than the later submitted proposal 
and which offer more tokens than the current status quo to at least two additional committee members. */
count if num_betterwin >0 & type==1 & treatment==1
* 81
count if num_betterwin >0 & type==1 & treatment==2
* 63


* At least one committee member votes for alternative offering her less tokens than the other alternative.
count if (altru_vote_a==1 | altru_vote_b==1 | altru_vote_c==1 | altru_vote_d==1 | altru_vote_e==1) & type==1 & treatment==1
* 75
count if win==2 & type==1 & treatment==1
* 60

count if (altru_vote_a==1 | altru_vote_b==1 | altru_vote_c==1 | altru_vote_d==1 | altru_vote_e==1) & type==1 & treatment==2
* 71
count if win==2 & type==1 & treatment==2
* 38


* Agenda setter sacrifices tokens OR Non-egoisitic proposal OR Non-egoistic vote.

count if ((altru_vote_a==1 | altru_vote_b==1 | altru_vote_c==1 | altru_vote_d==1 | altru_vote_e==1) | num_betterwin>0 | ag_altru1==1 ) & type==1 & treatment==1
* 133
count if ((altru_vote_a==1 | altru_vote_b==1 | altru_vote_c==1 | altru_vote_d==1 | altru_vote_e==1) | num_betterwin>0 | ag_altru1==1 ) & type==1 & treatment==2
* 132





********************************************************************************

* UNCOVERED SET

tab final_ucset if type==1 & treatment==2

/* 
Decisions inside UC-set: 113 (47.08%), Decisions outside UC-set: 127 (52.92%)

Size uncovered set: 716.25 units
Size Pareto set: 5201 units
percentage of outcomes occurring in the uncovered set: 47.08%
percentage of outcomes that one would expect to find in the uncovered set 
given a uniform distribution of outcomes throughout the Pareto set: 13.77%

*/
bitesti 240 113 0.1377

/*
        N   Observed k   Expected k   Assumed p   Observed p
------------------------------------------------------------
      240        113       33.048       0.13770      0.47083

  Pr(k >= 113) = 0.000000  (one-sided test)
  Pr(k <= 113) = 1.000000  (one-sided test)
  Pr(k >= 113) = 0.000000  (two-sided test)


NOTE:

The uncovered set was calculated using Cybersenate: www.winset.com/
using the following code:

GAME PARAMETERS BEGIN

#SCENARIO	name
Scenario	Whiteboard
#GROUP	name	ID
Group	Group	C1
#DIMENSIONS	name	ID	min	max
Dimension	X	D1	0.000000	200.000000
Dimension	Y	D2	0.000000	150.000000
#DECISION RULE	name	rule
Decision Rule	reserved	0.500000
#PLURALITY	name	flag
Plurality	Absolute	1
#STATUS QUO	name	ID	horz	vert
Status Quo	reserved	reserved	0.000000	0.000000
#PROPOSAL	name	ID	horz	vert
Proposal	reserved	reserved	0.000000	0.000000
#PLAYERS	name-last	ID	horz	vert	vote	veto-flag	candidate-flag	model-type	pref-type	sal	com	dist	int	bet	typeIP	salIP	comIP	cntIP	resIP	distIP	intIP	betIP	typeSQ	salSQ	comSQ	cntIP	resIP	distSQ	intSQ	betSQ
Player	B	XX0	30.000000	52.000000	1.000000	0.000000	0.000000	0	3	1.000000	0.000000	1.000000	0.000000	1.000000	0	1.000000	0.000000	1	0.000000	1.000000	0.000000	1.000000	0	1.000000	0.000000	1	0.000000	1.000000	0.000000	1.000000
Player	E	XX1	165.000000	32.000000	1.000000	0.000000	0.000000	0	3	1.000000	0.000000	1.000000	0.000000	1.000000	0	1.000000	0.000000	1	0.000000	1.000000	0.000000	1.000000	0	1.000000	0.000000	1	0.000000	1.000000	0.000000	1.000000
Player	D	XX2	66.000000	116.000000	1.000000	0.000000	0.000000	0	3	1.000000	0.000000	1.000000	0.000000	1.000000	0	1.000000	0.000000	1	0.000000	1.000000	0.000000	1.000000	0	1.000000	0.000000	1	0.000000	1.000000	0.000000	1.000000
Player	C	XX3	25.000000	72.000000	1.000000	0.000000	0.000000	0	3	1.000000	0.000000	1.000000	0.000000	1.000000	0	1.000000	0.000000	1	0.000000	1.000000	0.000000	1.000000	0	1.000000	0.000000	1	0.000000	1.000000	0.000000	1.000000
Player	A	XX4	51.000000	59.000000	1.000000	0.000000	0.000000	0	3	1.000000	0.000000	1.000000	0.000000	1.000000	0	1.000000	0.000000	1	0.000000	1.000000	0.000000	1.000000	0	1.000000	0.000000	1	0.000000	1.000000	0.000000	1.000000
#POINTS	x	y
#RECTANGLES	x0	y0	x1	y1

GAME PARAMETERS END


DISPLAY FLAGS BEGIN

#FLAGS	1=true 0=false
flagPlayer	1
flagPlayerAbstain	1
flagStatusQuo	1
flagProposal	1
flagTovey	1
flagIndiffCurve	0
flagQuotaLine	0
flagQuotaLineQualified	0
flagCore	0
flagBanksSet	0
flagBanksChain	0
flagSpoke	0
flagPetal	0
flagWinSet	0
flagWinSetCap	0
flagShapleyOwen	0
flagCopeland	0
flagYolk	0
flagCardioid	0
flagSchattschneiderSet	0
flagTriMedianSet	0
flagHeart	0
flagUncoveredSet	0
flagParetoSet	1
flagVoteWt	0
flagVoteProb	0
flagVeto	0
flagCandidates	0
flagPrefRational	1
flagPrefCorrelated	0
flagThermo	0
flagHist	0
flagStats	0
flagColorCode	0
flagNames	1
flagPowerIndex	0
flagPowerIndexColorCode	0
flagBudgetLine	0
flagGrid	0

DISPLAY FLAGS END


GRAPHICS PARAMETERS BEGIN

#TYPES	type
typeThermo	8
typeHist	30
typeCand	0
#FONTS	type face	height	weight	italic	color-red	color-green	color-blue
lfTitle	Arial	16	400	0	255	255	255
lfLegend	Arial	12	400	0	0	0	0
lfLabel	Arial	24	700	0	92	92	92
lfAxisH	Arial	22	400	0	0	0	0
lfScaleH	Arial	16	400	0	0	0	0
lfAxisV	Arial	20	400	0	0	0	0
lfScaleV	Arial	14	400	0	0	0	0
#POINT-PEN	style	width	color-red	color-green	color-blue
lpPlayer	0	1	0	0	0
lpPlayerAbstain	0	1	128	128	128
lpStatusQuo	0	1	0	192	0
lpProposal	0	1	0	0	192
lpCopeland	0	1	255	0	0
lpCoalition	0	1	0	0	255
lpTovey	0	1	255	0	0
#POINT-BRUSH	style	hatch	color-red	color-green	color-blue
lbPlayer	0	4	128	128	128
lbPlayerAbstain	0	4	192	192	192
lbStatusQuo	0	4	0	255	0
lbProposal	0	4	0	0	255
lbCopeland	0	4	255	255	255
lbCoalition	0	4	0	0	255
lbTovey	0	4	255	0	0
#LINE-PEN	style	width	color-red	color-green	color-blue
lpIndiffCurve	0	1	192	192	255
lpQuotaLine	0	1	0	0	0
lpQuotaLineQualified	0	1	0	0	0
lpCore	0	1	255	0	0
lpBanksSet	0	1	255	0	0
lpBanksChain	0	1	255	0	0
lpCandidate	0	1	212	212	212
lpPetal	0	1	0	0	255
lpWinSet	0	1	255	0	0
lpWinSetCap	0	1	192	192	192
lpWinSetLimit	0	1	255	0	0
lpYolk	0	1	255	0	255
lpYolkTri	0	1	255	0	255
lpCardioid	0	1	0	0	255
lpSchattschneiderSet	0	1	192	0	0
lpTriMedianSet	0	1	128	0	0
lpHeart	0	1	192	0	0
lpUncoveredSet	0	1	192	192	192
lpParetoSet	0	1	128	0	128
lpSORings	0	1	0	0	192
#LINE-BRUSH	style	hatch	color-red	color-green	color-blue
lbIndiffCurve	1	4	192	192	255
lbQuotaLine	1	4	0	0	0
lbQuotaLineQualified	1	4	0	0	0
lbCore	1	4	255	0	0
lbBanksSet	1	4	192	0	0
lbBanksChain	1	4	192	0	0
lbCandidate	1	4	212	212	212
lbPetal	1	4	0	0	255
lbWinSet	1	4	255	0	0
lbWinSetCap	1	4	192	192	192
lbWinSetLimit	1	4	255	0	0
lbYolk	1	4	255	0	255
lbYolkTri	1	4	255	0	255
lbCardioid	1	4	0	0	255
lbSchattschneiderSet	1	4	192	0	0
lbTriMedianSet	1	4	128	0	0
lbHeart	1	4	192	0	0
lbUncoveredSet	1	4	192	192	192
lbParetoSet	1	4	128	0	128
lbSORings	1	4	0	0	192
#COLOR	color-red	color-green	color-blue
colorBackground	255	255	255
colorDefault	0	0	0
colorThermo	255	0	0
colorHist	192	192	192
colorHighlight	0	192	192
#SIZE	horz	vert
szChart	800	600
szPoint	10	10
szHistH	10	20
szHistV	10	20
#COUNTS	count
nCoalition	10	10
flagWinSetCap	0

GRAPHICS PARAMETERS END


LABEL PARAMETERS BEGIN

#LABEL	flag
flagLabelNameLast	1
flagLabelNameFirst	0
flagLabelConstituency	0
flagLabelAffiliation	0
flagLabelLeadership	0
flagLabelVote	0
flagLabelAttribute	0

LABEL PARAMETERS END


ALGORITHM PARAMETERS BEGIN

#CORE	samples
nCore	60
#UNCOVERED SET	grid size
nUncoveredSet	150
#UNCOVERED SET	exclude consideration of yolk points
bExcludeYolk	0
#UNCOVERED SET	use BJS algorithm
bUncoveredSetBJS	1
#CHAINS 	number of chains
nChain	5
#RESOLUTION 	chain resolution
nResolution	25
#TRI-MEDIAN SET	tolerance
dTriMedianTolerance	1.000000
#TRI-MEDIANSET SET	samples
nTriMedianSet	180
#SCHATTSCHNEIDER SET	samples
nSchattschneiderSet	180
#COPELAND	samples
nCopeland	31
#COPELAND	offset
dCopeland	0.000000
#BOD	size
dBOD	0.000000
#PROB	size
dProb	0.900000

ALGORITHM PARAMETERS END

*/




